"""Add index for Users model

Revision ID: ad3301d659a9
Revises: ab221cc064b4
Create Date: 2019-10-15 10:41:06.955349

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'ad3301d659a9'
down_revision = 'ab221cc064b4'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_index(op.f('ix_users_fb_uid'), 'users', ['fb_uid'], unique=True)
    op.drop_constraint('users_fb_uid_key', 'users', type_='unique')
    op.create_unique_constraint(None, 'users', ['id'])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'users', type_='unique')
    op.create_unique_constraint('users_fb_uid_key', 'users', ['fb_uid'])
    op.drop_index(op.f('ix_users_fb_uid'), table_name='users')
    # ### end Alembic commands ###
